import QtQml 2.15
import QtQuick 2.15
import org.ukui.quick.platform 1.0
DtThemeDefinition {
    id: dtTheme
    property color alternateBaseActive: Qt.rgba(255/255, 255/255, 255/255, 0.06)
    property color alternateBaseDisable: Qt.rgba(255/255, 255/255, 255/255, 0.03)
    property color alternateBaseInactive: Qt.rgba(255/255, 255/255, 255/255, 0.05)
    property color baseActive: kGray0
    property color baseDisable: kGray1
    property color baseInactive: kGray1
    property color brightTextActive: kFontStrong
    property color brightTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.45)
    property color brightTextInactive: kFontStrong
    property color buttonActive: kGray2
    property color buttonDisable: Qt.rgba(46/255, 46/255, 46/255, 0.45)
    property color buttonInactive: kGray2
    property color buttonTextActive: kFontPrimary
    property color buttonTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.4)
    property color buttonTextInactive: kFontPrimary
    property color darkActive: kBlack
    property color darkDisable: kBlack
    property color darkInactive: kBlack
    property color highlightActive: kBrandNormal
    property color highlightDisable: Qt.rgba(54/255, 118/255, 245/255, 0.45)
    property color highlightedTextActive: kFontWhite
    property color highlightedTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.44)
    property color highlightedTextInactive: kFontWhite
    property color highlightInactive: kBrandNormal
    property color kBlack: Qt.rgba(0/255, 0/255, 0/255, 1)
    property color kBrand1: Qt.rgba(55/255, 144/255, 250/255, 1)
    property color kBrand2: Qt.rgba(137/255, 38/255, 235/255, 1)
    property color kBrand3: Qt.rgba(227/255, 74/255, 232/255, 1)
    property color kBrand4: Qt.rgba(242/255, 181/255, 39/255, 1)
    property color kBrand5: Qt.rgba(20/255, 166/255, 32/255, 1)
    property color kBrand6: Qt.rgba(240/255, 73/255, 67/255, 1)
    property color kBrand7: Qt.rgba(250/255, 125/255, 15/255, 1)
    property color kBrand8: Qt.rgba(54/255, 118/255, 245/255, 1)
    property color kBrand9: Qt.rgba(6/255, 192/255, 199/255, 1)
    property var kBrandClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(54/255, 118/255, 245/255, 1)
    }
    property color kBrandDisable: Qt.rgba(54/255, 118/255, 245/255, 0.45)
    property color kBrandFocus: kGrayAlpha13
    property var kBrandHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(54/255, 118/255, 245/255, 1)
    }
    property color kBrandNormal: kBrand8
    property color kComponentAlphaClick: kGrayAlpha6
    property color kComponentAlphaDisable: Qt.rgba(255/255, 255/255, 255/255, 0.04)
    property color kComponentAlphaHover: kGrayAlpha4
    property color kComponentAlphaNormal: kGrayAlpha2
    property color kComponentClick: kGray6
    property color kComponentDisable: Qt.rgba(46/255, 46/255, 46/255, 0.45)
    property color kComponentHover: kGray4
    property color kComponentNormal: kGray2
    property color kComponentSelectedAlphaClick: kGrayAlpha5
    property color kComponentSelectedAlphaDisable: Qt.rgba(255/255, 255/255, 255/255, 0.06)
    property color kComponentSelectedAlphaHover: kGrayAlpha4
    property color kComponentSelectedAlphaNormal: kGrayAlpha3
    property color kComponentSelectedClick: kGray6
    property color kComponentSelectedDisable: Qt.rgba(46/255, 46/255, 46/255, 0.45)
    property color kComponentSelectedHover: kGray4
    property color kComponentSelectedNormal: kGray2
    property color kContainAlphaClick: kGrayAlpha4
    property color kContainAlphaHover: kGrayAlpha1
    property color kContainClick: kGray4
    property color kContainGeneralAlphaNormal: kGrayAlpha0
    property color kContainGeneralInactive: kGray1
    property color kContainGeneralNormal: kGray0
    property color kContainHover: kGray3
    property color kContainSecondaryAlphaNormal: kGrayAlpha12
    property color kContainSecondaryInactive: kGray2
    property color kContainSecondaryNormal: kGray2
    property color kDivider: kGrayAlpha3
    property color kDividerWhite: Qt.rgba(255/255, 255/255, 255/255, 0.13)
    property var kErrorClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(235/255, 70/255, 70/255, 1)
    }
    property color kErrorDisable: Qt.rgba(235/255, 70/255, 70/255, 0.45)
    property var kErrorHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(235/255, 70/255, 70/255, 1)
    }
    property color kErrorNormal: kRed1
    property color kFontPlaceholderTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.14)
    property color kFontPlaceholderText: Qt.rgba(255/255, 255/255, 255/255, 0.32)
    property color kFontPrimaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.34)
    property color kFontPrimary: Qt.rgba(255/255, 255/255, 255/255, 0.88)
    property color kFontSecondaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.2)
    property color kFontSecondary: Qt.rgba(255/255, 255/255, 255/255, 0.45)
    property color kFontStrong: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kFontWhiteDisable: Qt.rgba(255/255, 255/255, 255/255, 0.38)
    property color kFontWhitePlaceholderTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.13)
    property color kFontWhitePlaceholderText: Qt.rgba(255/255, 255/255, 255/255, 0.35)
    property color kFontWhite: Qt.rgba(255/255, 255/255, 255/255, 0.98)
    property color kFontWhiteSecondaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.27)
    property color kFontWhiteSecondary: Qt.rgba(255/255, 255/255, 255/255, 0.6)
    property color kGray0: Qt.rgba(26/255, 26/255, 26/255, 1)
    property color kGray10: Qt.rgba(128/255, 128/255, 128/255, 1)
    property color kGray11: Qt.rgba(143/255, 143/255, 143/255, 1)
    property color kGray12: Qt.rgba(163/255, 163/255, 163/255, 1)
    property color kGray13: Qt.rgba(178/255, 178/255, 178/255, 1)
    property color kGray14: Qt.rgba(194/255, 194/255, 194/255, 1)
    property color kGray15: Qt.rgba(209/255, 209/255, 209/255, 1)
    property color kGray16: Qt.rgba(217/255, 217/255, 217/255, 1)
    property color kGray17: Qt.rgba(229/255, 229/255, 229/255, 1)
    property color kGray1: Qt.rgba(38/255, 38/255, 38/255, 1)
    property color kGray2: Qt.rgba(46/255, 46/255, 46/255, 1)
    property color kGray3: Qt.rgba(51/255, 51/255, 51/255, 1)
    property color kGray4: Qt.rgba(61/255, 61/255, 61/255, 1)
    property color kGray5: Qt.rgba(72/255, 72/255, 72/255, 1)
    property color kGray6: Qt.rgba(84/255, 84/255, 84/255, 1)
    property color kGray7: Qt.rgba(92/255, 92/255, 92/255, 1)
    property color kGray8: Qt.rgba(102/255, 102/255, 102/255, 1)
    property color kGray9: Qt.rgba(115/255, 115/255, 115/255, 1)
    property color kGrayAlpha0: Qt.rgba(255/255, 255/255, 255/255, 0)
    property color kGrayAlpha10: Qt.rgba(255/255, 255/255, 255/255, 0.55)
    property color kGrayAlpha11: Qt.rgba(255/255, 255/255, 255/255, 0.9)
    property color kGrayAlpha12: Qt.rgba(255/255, 255/255, 255/255, 0.04)
    property color kGrayAlpha13: Qt.rgba(255/255, 255/255, 255/255, 0.8)
    property color kGrayAlpha1: Qt.rgba(255/255, 255/255, 255/255, 0.08)
    property color kGrayAlpha2: Qt.rgba(255/255, 255/255, 255/255, 0.1)
    property color kGrayAlpha3: Qt.rgba(255/255, 255/255, 255/255, 0.13)
    property color kGrayAlpha4: Qt.rgba(255/255, 255/255, 255/255, 0.16)
    property color kGrayAlpha5: Qt.rgba(255/255, 255/255, 255/255, 0.2)
    property color kGrayAlpha6: Qt.rgba(255/255, 255/255, 255/255, 0.26)
    property color kGrayAlpha7: Qt.rgba(255/255, 255/255, 255/255, 0.32)
    property color kGrayAlpha8: Qt.rgba(255/255, 255/255, 255/255, 0.38)
    property color kGrayAlpha9: Qt.rgba(255/255, 255/255, 255/255, 0.45)
    property color kGreen1: Qt.rgba(24/255, 168/255, 13/255, 1)
    property var kLineBrandClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(54/255, 118/255, 245/255, 0.55)
    }
    property color kLineBrandDisable: Qt.rgba(54/255, 118/255, 245/255, 0.23)
    property var kLineBrandHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(54/255, 118/255, 245/255, 0.55)
    }
    property color kLineBrandNormal: Qt.rgba(54/255, 118/255, 245/255, 0.55)
    property color kLineComponentClick: kGrayAlpha5
    property color kLineComponentDisable: Qt.rgba(255/255, 255/255, 255/255, 0.04)
    property color kLineComponentHover: kGrayAlpha4
    property color kLineComponentNormal: kGrayAlpha2
    property color kLineDisable: Qt.rgba(255/255, 255/255, 255/255, 0.05)
    property color kLineDock: Qt.rgba(178/255, 178/255, 178/255, 0.2)
    property var kLineErrorClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(245/255, 73/255, 73/255, 0.55)
    }
    property color kLineErrorDisable: Qt.rgba(245/255, 73/255, 73/255, 0.23)
    property var kLineErrorHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(245/255, 73/255, 73/255, 0.55)
    }
    property color kLineErrorNormal: Qt.rgba(245/255, 73/255, 73/255, 0.55)
    property color kLineInputClick: kBrand8
    property color kLineInputDisable: Qt.rgba(255/255, 255/255, 255/255, 0.06)
    property color kLineInputHover: Qt.rgba(255/255, 255/255, 255/255, 0.2)
    property color kLineInputNormal: Qt.rgba(255/255, 255/255, 255/255, 0.14)
    property color kLineMenu: Qt.rgba(209/255, 209/255, 209/255, 0.18)
    property color kLineNormal: Qt.rgba(255/255, 255/255, 255/255, 0.1)
    property color kLineSelectboxClick: Qt.rgba(255/255, 255/255, 255/255, 0.36)
    property color kLineSelectboxDisable: Qt.rgba(255/255, 255/255, 255/255, 0.09)
    property color kLineSelectboxHover: Qt.rgba(255/255, 255/255, 255/255, 0.3)
    property color kLineSelectboxNormal: Qt.rgba(255/255, 255/255, 255/255, 0.24)
    property color kLineSelectboxSelected: Qt.rgba(255/255, 255/255, 255/255, 0)
    property var kLineSuccessClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(24/255, 168/255, 13/255, 0.55)
    }
    property color kLineSuccessDisable: Qt.rgba(24/255, 168/255, 13/255, 0.23)
    property var kLineSuccessHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(24/255, 168/255, 13/255, 0.55)
    }
    property color kLineSuccessNormal: Qt.rgba(24/255, 168/255, 13/255, 0.55)
    property color kLineTable: Qt.rgba(255/255, 255/255, 255/255, 0.22)
    property var kLineWarningClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(255/255, 128/255, 31/255, 0.55)
    }
    property color kLineWarningDisable: Qt.rgba(255/255, 128/255, 31/255, 0.23)
    property var kLineWarningHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(255/255, 128/255, 31/255, 0.55)
    }
    property color kLineWarningNormal: Qt.rgba(255/255, 128/255, 31/255, 0.55)
    property color kLineWindowActive: Qt.rgba(209/255, 209/255, 209/255, 0.3)
    property color kLineWindowInactive: Qt.rgba(209/255, 209/255, 209/255, 0.2)
    property color kmenu: Qt.rgba(38/255, 38/255, 38/255, 0.82)
    property color kModalMask: Qt.rgba(0/255, 0/255, 0/255, 0.3)
    property color kOrange1: Qt.rgba(255/255, 128/255, 31/255, 1)
    property color kRed1: Qt.rgba(235/255, 70/255, 70/255, 1)
    property var kselectAlphaWhiteClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.2)
        gradientBackground : Qt.rgba(255/255, 255/255, 255/255, 0.25)
    }
    property color kselectAlphaWhiteDisable: Qt.rgba(255/255, 255/255, 255/255, 0.11)
    property var kselectAlphaWhiteHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(255/255, 255/255, 255/255, 0.1)
        gradientEnd : Qt.rgba(255/255, 255/255, 255/255, 0.1)
        gradientBackground : Qt.rgba(255/255, 255/255, 255/255, 0.25)
    }
    property color kselectAlphaWhite: Qt.rgba(255/255, 255/255, 255/255, 0.25)
    property var kShadowComponent : ShadowData {
        xOffset :  0
        yOffset :  1
        blurRadius :  2
        spread :  0
        shadowColor : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        isMultiShadow : false
    }
    property var kShadowMenu : ShadowData {
        xOffset :  0
        yOffset :  0
        blurRadius :  1
        spread :  0
        shadowColor : Qt.rgba(0/255, 0/255, 0/255, 0.06)
        isMultiShadow : true
        childShadow : ShadowData {
        xOffset :  0
        yOffset :  6
        blurRadius :  14
        spread :  0
        shadowColor : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        isMultiShadow : false
        }
    }
    property var kShadowMin : ShadowData {
        xOffset :  0
        yOffset :  2
        blurRadius :  6
        spread :  0
        shadowColor : Qt.rgba(0/255, 0/255, 0/255, 0.15)
        isMultiShadow : false
    }
    property var kShadowPrimaryActive : ShadowData {
        xOffset :  0
        yOffset :  16
        blurRadius :  32
        spread :  0
        shadowColor : Qt.rgba(0/255, 0/255, 0/255, 0.25)
        isMultiShadow : false
    }
    property var kShadowPrimaryInactive : ShadowData {
        xOffset :  0
        yOffset :  8
        blurRadius :  16
        spread :  0
        shadowColor : Qt.rgba(0/255, 0/255, 0/255, 0.18)
        isMultiShadow : false
    }
    property var kShadowSecondaryActive : ShadowData {
        xOffset :  0
        yOffset :  0
        blurRadius :  2
        spread :  0
        shadowColor : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        isMultiShadow : true
        childShadow : ShadowData {
        xOffset :  0
        yOffset :  12
        blurRadius :  26
        spread :  0
        shadowColor : Qt.rgba(0/255, 0/255, 0/255, 0.25)
        isMultiShadow : false
        }
    }
    property var kShadowSecondaryInactive : ShadowData {
        xOffset :  0
        yOffset :  0
        blurRadius :  2
        spread :  0
        shadowColor : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        isMultiShadow : true
        childShadow : ShadowData {
        xOffset :  0
        yOffset :  6
        blurRadius :  13
        spread :  0
        shadowColor : Qt.rgba(0/255, 0/255, 0/255, 0.18)
        isMultiShadow : false
        }
    }
    property var kSuccessClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(24/255, 168/255, 13/255, 1)
    }
    property color kSuccessDisable: Qt.rgba(24/255, 168/255, 13/255, 0.45)
    property var kSuccessHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(24/255, 168/255, 13/255, 1)
    }
    property color kSuccessNormal: kGreen1
    property var kWarningClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(255/255, 128/255, 31/255, 1)
    }
    property color kWarningDisable: Qt.rgba(255/255, 128/255, 31/255, 0.45)
    property var kWarningHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(255/255, 128/255, 31/255, 1)
    }
    property color kWarningNormal: kOrange1
    property color kWhite: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color lightActive: kGray0
    property color lightDisable: Qt.rgba(26/255, 26/255, 26/255, 0.45)
    property color lightInactive: kGray0
    property color linkActive: Qt.rgba(43/255, 106/255, 214/255, 1)
    property color linkDisable: Qt.rgba(43/255, 106/255, 214/255, 0.45)
    property color linkInactive: Qt.rgba(43/255, 106/255, 214/255, 1)
    property color linkVisitedActive: Qt.rgba(137/255, 54/255, 214/255, 1)
    property color linkVisitedDisable: Qt.rgba(137/255, 54/255, 214/255, 0.45)
    property color linkVisitedInactive: Qt.rgba(137/255, 54/255, 214/255, 1)
    property color midActive: kGray13
    property color midDisable: Qt.rgba(178/255, 178/255, 178/255, 0.45)
    property color midInactive: kGray13
    property color midLightActive: kGray7
    property color midLightDisable: Qt.rgba(92/255, 92/255, 92/255, 0.45)
    property color midLightInactive: kGray7
    property color noRoleActive: kGray1
    property color noRoleDisable: Qt.rgba(38/255, 38/255, 38/255, 0.45)
    property color noRoleInactive: kGray1
    property color placeholderTextActive: Qt.rgba(255/255, 255/255, 255/255, 0.35)
    property color placeholderTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.16)
    property color placeholderTextInactive: Qt.rgba(255/255, 255/255, 255/255, 0.32)
    property var shadow : ShadowData {
        xOffset :  0
        yOffset :  2
        blurRadius :  6
        spread :  0
        shadowColor : Qt.rgba(0/255, 0/255, 0/255, 0.15)
        isMultiShadow : false
    }
    property color shadowActive: Qt.rgba(0/255, 0/255, 0/255, 0.3)
    property color shadowDisable: Qt.rgba(0/255, 0/255, 0/255, 0.11)
    property color shadowInactive: Qt.rgba(0/255, 0/255, 0/255, 0.18)
    property color textActive: kFontPrimary
    property color textDisable: Qt.rgba(255/255, 255/255, 255/255, 0.4)
    property color textInactive: kFontPrimary
    property color toolTipBaseActive: kGray0
    property color toolTipBaseDisable: Qt.rgba(26/255, 26/255, 26/255, 0.45)
    property color toolTipBaseInactive: kGray0
    property color toolTipTextActive: kFontPrimary
    property color toolTipTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.4)
    property color toolTipTextInactive: kFontPrimary
    property color windowActive: kGray2
    property color windowDisable: kGray3
    property color windowInactive: kGray3
    property color windowTextActive: kFontPrimary
    property color windowTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.4)
    property color windowTextInactive: Qt.rgba(255/255, 255/255, 255/255, 0.42)
}
